package com.foreverwin.mesnac.integration.dto;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import java.util.List;

/**
 * 工艺路线同步接口请求参数类
 *
 * @author Leon
 * @date 2021-6-24
 */
@XmlAccessorType( XmlAccessType.FIELD )
@XmlType(name = "DisRouterSyncRequest", propOrder = {
        "TRANID",
        "DATE_TIME",
        "SITE",
        "FACTORY",
        "ROUTER",
        "OPERATION_LIST"
})
public class DisRouterSyncRequest {

    @XmlElement(name = "TRANID")
    private String TRANID;
    @XmlElement(name = "DATE_TIME")
    private String DATE_TIME;
    @XmlElement(name = "SITE")
    private String SITE;
    @XmlElement(name = "FACTORY")
    private String FACTORY;
    @XmlElement(name = "ROUTER")
    private String ROUTER;
    @XmlElement(name = "OPERATION_LIST")
    private List<DisRouterStepDto> OPERATION_LIST;

    public String getTRANID() {
        return TRANID;
    }

    public void setTRANID(String TRANID) {
        this.TRANID = TRANID;
    }

    public String getDATE_TIME() {
        return DATE_TIME;
    }

    public void setDATE_TIME(String DATE_TIME) {
        this.DATE_TIME = DATE_TIME;
    }

    public String getSITE() {
        return SITE;
    }

    public void setSITE(String SITE) {
        this.SITE = SITE;
    }

    public String getFACTORY() {
        return FACTORY;
    }

    public void setFACTORY(String FACTORY) {
        this.FACTORY = FACTORY;
    }

    public String getROUTER() {
        return ROUTER;
    }

    public void setROUTER(String ROUTER) {
        this.ROUTER = ROUTER;
    }

    public List<DisRouterStepDto> getOPERATION_LIST() {
        return OPERATION_LIST;
    }

    public void setOPERATION_LIST(List<DisRouterStepDto> OPERATION_LIST) {
        this.OPERATION_LIST = OPERATION_LIST;
    }

    @Override
    public String toString() {
        return "DisRouterSyncRequest{" +
                "TRANID='" + TRANID + '\'' +
                ", DATE_TIME='" + DATE_TIME + '\'' +
                ", SITE='" + SITE + '\'' +
                ", FACTORY='" + FACTORY + '\'' +
                ", ROUTER='" + ROUTER + '\'' +
                ", OPERATION_LIST=" + OPERATION_LIST +
                '}';
    }
}
